Update a person's opted out status
curl --request PUT \
--url https://api.rallyuxr.com/api/public/v1/people/{personIdOrEmail}/opted-out \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isOptedOut": true
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/people/{personIdOrEmail}/opted-out"
payload = { "isOptedOut": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isOptedOut: true})
};
fetch('https://api.rallyuxr.com/api/public/v1/people/{personIdOrEmail}/opted-out', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"personId": "<string>",
"isOptedOut": true,
"updatedAt": "2023-11-07T05:31:56Z"
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""{Resource} not found""Too Many Requests""Internal Server Error"People
Update a person's opted out status
Pass either the person ID or email to update the opted out status
PUT
/
people
/
{personIdOrEmail}
/
opted-out
Update a person's opted out status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id or email of the person. The id is the internal id of the person or if the email passed is valid then it will be used for lookup
Example:
"cm0b4eokq000vbbsimwelll3u"
Body
application/json
Whether the person is opted out of research
⌘I